Last Comment Bug 785659 - Get rid of calIRecurrenceDateSet
: Get rid of calIRecurrenceDateSet
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Internal Components (show other bugs)
: unspecified
: All All
: -- normal (vote)
: 2.0
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: jsical 785733
  Show dependency treegraph
 
Reported: 2012-08-25 15:16 PDT by Philipp Kewisch [:Fallen]
Modified: 2012-09-04 05:07 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (27.90 KB, patch)
2012-08-25 15:19 PDT, Philipp Kewisch [:Fallen]
matthew.mecca: review+
Details | Diff | Splinter Review

Description Philipp Kewisch [:Fallen] 2012-08-25 15:16:45 PDT
This interface isn't used often and items are usually parsed into multiple EXDATE properties anyway. This will help me transition to using the jsical library in the future.
Comment 1 Philipp Kewisch [:Fallen] 2012-08-25 15:19:44 PDT
Created attachment 655366 [details] [diff] [review]
Fix - v1
Comment 2 Matthew Mecca [:mmecca] 2012-09-01 11:42:00 PDT
Comment on attachment 655366 [details] [diff] [review]
Fix - v1

Review of attachment 655366 [details] [diff] [review]:
-----------------------------------------------------------------

r=mmecca

::: calendar/providers/storage/calStorageCalendar.js
@@ +1814,4 @@
>          item.setProperty("LAST-MODIFIED", savedLastModifiedTime);
>      },
>  
> +    addRecurrenceItemsFromRow: function cSC_getRecurrenceItemFromRow(row, item) {

I'd suggest cSC_addRecurrenceItemsFromRow for consistency
Comment 3 Matthew Mecca [:mmecca] 2012-09-01 12:40:32 PDT
(In reply to Matthew Mecca [:mmecca] from comment #2)
> > +    addRecurrenceItemsFromRow: function cSC_getRecurrenceItemFromRow(row, item) {
> 
> I'd suggest cSC_addRecurrenceItemsFromRow for consistency

Nevermind, I see the name changes in Bug 785733
Comment 4 Philipp Kewisch [:Fallen] 2012-09-04 05:07:33 PDT
Pushed to comm-central changeset 0e6bba2e7c54

Note You need to log in before you can comment on or make changes to this bug.